#!/usr/bin/env python3

"""
ROS1 version
"""

import roslaunch

from armw.base_launch import BaseLaunch


class Launch(BaseLaunch):
    """
    ros1 roslaunch implementation
    """
    def __init__(self, launch_file, args=None) -> None:
        self.launch = launch_file
        self.args = args if args is not None else []

        uuid = roslaunch.rlutil.get_or_generate_uuid(None, False)
        roslaunch.configure_logging(uuid)

        full_cmd_list = [self.launch] + self.args
        roslaunch_file_param = [(roslaunch.rlutil.resolve_launch_arguments(full_cmd_list)[0], self.args)]

        self.launch = roslaunch.parent.ROSLaunchParent(uuid, roslaunch_file_param)

    def start(self):
        """
        start launch file
        """

        self.launch.start()

    def shutdown(self):
        """
        shutdown launch file
        """

        self.launch.shutdown()
